Subject: Re: [DNSOP] NSCP Pros and Cons: draft-dickinson-dnsop-nameserver-control

From: Stephen Morris <[email-masked]>
Date: Wed, 26 Jan 2011 17:58:00 +0000

To restart the dormant discussion on NSCP...

On 13 Dec 2010, at 08:51, Jelte Jansen wrote:

> It has been said (perhaps by you) that perhaps we ought to think about splitting
> up the data model and the protocol. I'm not sure about the advantage of that
> (well, apart from doc length), but thought i'd mention it.

In part it is document length, but also to allow the development of NSCP to proceed without getting side-tracked by discussions on whether NETCONF should be used as the underlying protocol.

> Two more things, I've also heard complaints about Netconf/yang being overkill,
> do we know if this is about netconf, yang, or both?

I've also heard mutterings along those lines, but nothing definitive.

NETCONF was proposed as the underlying protocol for the reasons outlined in the draft.  I don't think it is overkill, as anything that implemented NSCP would need to supply a lot of the functionality that comes with NETCONF.

With regards to YANG, that was in development around the time NSCP was being developed. As it was being promoted as a data modelling language for NETCONF, it made sense to use it for a NETCONF-based application.  However, it is new and the specification, RFC 6020, is over 170 pages long; perhaps that it putting people off?  If we don't use YANG for NSCP, what should be used?

> Related to that, someone proposed a RESTful protocol, but noone made a specific
> proposal for that. Should we try to get someone to do that? :)

If someone would like to formally propose a RESTful approach, that would be a useful contribution to the discussion.  But whatever the underlying protocol, we still need to get agreement on the data model.

Stephen